GET /auth/credits/ledger-readiness
Check whether this user's account history can safely switch to credits_ledger.
REST API overview · OpenAPI JSON · OpenAPI YAML
| Stability | Authentication | Cost | Operation ID |
|---|---|---|---|
| Published | Bearer API key | Free | get_credits_ledger_readiness_api_v1_auth_credits_ledger_readiness_get |
| Name | Location | Required | Type | Description |
|---|---|---|---|---|
start_date | query | No | string | null | — |
end_date | query | No | string | null | — |
This operation has no JSON request body.
curl --request GET \
--url "https://qveris.ai/api/v1/auth/credits/ledger-readiness" \
--header "Authorization: Bearer $QVERIS_API_KEY"
const response = await fetch("https://qveris.ai/api/v1/auth/credits/ledger-readiness", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.QVERIS_API_KEY}`,
},
})
if (!response.ok) throw new Error(`QVeris request failed: ${response.status}`)
console.log(await response.json())
import os
import requests
response = requests.request(
"GET",
"https://qveris.ai/api/v1/auth/credits/ledger-readiness",
headers={"Authorization": f"Bearer {os.environ['QVERIS_API_KEY']}"},
timeout=30,
)
response.raise_for_status()
print(response.json())
| Status | Meaning | Schema |
|---|---|---|
200 | Successful Response | APIResponse_CreditsLedgerReadinessResponse_ |
422 | Validation Error | HTTPValidationError |
{
"status": "string",
"message": "string"
}
POST Discover capabilities · POST Inspect capabilities · POST Probe a capability · POST Call a capability
Was this page helpful?